summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--appveyor.yml6
-rwxr-xr-xscript/cibuild.sh4
2 files changed, 9 insertions, 1 deletions
diff --git a/appveyor.yml b/appveyor.yml
index 166fa56b1..7186aaf63 100644
--- a/appveyor.yml
+++ b/appveyor.yml
@@ -36,4 +36,8 @@ build_script:
- cmd: |
if "%GENERATOR%"=="MSYS Makefiles" (C:\MinGW\msys\1.0\bin\sh --login /c/projects/libgit2/script/appveyor-mingw.sh)
test_script:
-- ps: ctest -V .
+- ps: |
+ ctest -V .
+ $env:GITTEST_REMOTE_URL="https://github.com/libgit2/non-existent"
+ $env:GITTEST_REMOTE_USER="libgit2test"
+ .\Debug\libgit2_clar -sonline::clone::cred_callback
diff --git a/script/cibuild.sh b/script/cibuild.sh
index de5df9ea8..029dcd413 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -56,3 +56,7 @@ if [ -e ./libgit2_clar ]; then
./libgit2_clar -sonline::clone::cred_callback || exit $?
fi
fi
+
+export GITTEST_REMOTE_URL="https://github.com/libgit2/non-existent"
+export GITTEST_REMOTE_USER="libgit2test"
+./libgit2_clar -sonline::clone::cred_callback || exit $?